Subject: bug#68742: closed (Re: [bug#68742] QA review for 68742)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 14 Feb 2024 13:35:02 +0000

Your bug report

#68742: [PATCH] gnu: river: add river.desktop on wayland-sessions

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
68742: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=68742
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#68742] QA review for 68742
From: Christopher Baines <[email-masked]>
To: Ekaitz Zarraga <[email-masked]>, Erik Eduardo <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Wed, 14 Feb 2024 13:33:11 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Ekaitz Zarraga <[email-masked]> writes:

> user guix
> usertag 68742 + reviewed-looks-good
> thanks
>
> Guix QA review form submission:
> It's a simple addition. I think it's ok.
> I linted, and I also built, and things the author expected work.
>
> Items marked as checked: Lint warnings, Package builds, Commit messages

Thanks both, I've tweaked the indentation a little and pushed this to
master as 8d4c3032416c69f883d074f4f6d7bcc9741be75c.

Chris

Subject: [PATCH] gnu: river: add river.desktop on wayland-sessions
From: Erik Eduardo <[email-masked]>
To: [email-masked]
Cc: Erik Eduardo <[email-masked]>
Date: Fri, 26 Jan 2024 17:09:09 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

From: Erik Eduardo <[email-masked]>

This patch will allow to login from login managers or display managers
to River.

Changes:

  - Creates a directory at share named wayland-sessions
  - Install a desktop file from repo inside share/wayland-sessions

This is my first patch, please be patient and give me feedback, I will
do my best.

Change-Id: Iea8999cf97bedc8fb7ede4dd22b8f0f9529d2fa1
---
 gnu/packages/zig-xyz.scm | 11 ++++++++++-
 1 file changed, 10 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/zig-xyz.scm b/gnu/packages/zig-xyz.scm
index 200b5c9940..ca73c6bad8 100644
--- a/gnu/packages/zig-xyz.scm
+++ b/gnu/packages/zig-xyz.scm
@@ -52,7 +52,16 @@ (define-public river
     (build-system zig-build-system)
     (arguments
      (list
-      #:zig-build-flags #~(list "-Dxwayland")   ;experimental xwayland support
+      #:phases #~(modify-phases %standard-phases
+                   (add-after 'install 'install-extra-files
+                     (lambda* (#:key outputs #:allow-other-keys)
+                       (let* ((out (assoc-ref outputs "out"))
+                              (wayland-sessions (string-append out
+                                                 "/share/wayland-sessions")))
+                         (mkdir-p wayland-sessions)
+                         (install-file "contrib/river.desktop"
+                                       wayland-sessions)))))
+      #:zig-build-flags #~(list "-Dxwayland") ;experimental xwayland support
       #:zig-release-type "safe"))
     (native-inputs (list libevdev
                          libxkbcommon

base-commit: 2266754382bce43789976aec65181cb5085c8bc4
-- 
2.41.0